package com.gic.haoban.manage.api.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.OpenStaffDTO;
import com.gic.haoban.manage.api.qdto.OpenStaffInitQDTO;

public interface OpenStaffApiService {

    /**
     * 授权绑定
     * @param qdto
     * @return
     */
    public ServiceResponse<Long> init(OpenStaffInitQDTO qdto) ;

    /**
     * id查询
     * @param openStaffId
     * @return
     */
    public ServiceResponse<OpenStaffDTO> getById(Long openStaffId) ;

    /**
     * 删除
     * @param id
     * @return
     */
    public ServiceResponse<Void> delete(Long id) ;


    /**
     * 设置需要输入验证码
     * @param uuid
     * @return
     */
    public ServiceResponse<Void> updateValiFlag(String uuid) ;


    /**
     * 登录成功
     */
    public ServiceResponse<Void> login(String uuid , Long qwCorpid ,String corpNam , Long qwUserId) ;

    /**
     * 退出登录
     */
    public ServiceResponse<Void> logout(String uuid) ;

    /**
     *
     * @param uuid
     * @param loginStatus
     * @return
     */
    public ServiceResponse<Void> updateLoginStatus(String uuid , int loginStatus) ;

}
